# This file contains general bank information for each bank: human-readable display name, the url for the bank's API, and the bank's routing number.

{% if ( (mcb_trust_account is defined and mcb_trust_account != "") or (provident_trust_account is defined and provident_trust_account != "") ) %}
banks:
{% else %}
banks: []
{% endif %}
{% if mcb_trust_account is defined and mcb_trust_account != "" %}
  - mcb:
      bank_api_url: "{{mcb_url}}"
      routing_number: "{{mcb_routing_number}}"
      display_name: "{{mcb_display_name}}"
      trust_account: "{{mcb_trust_account}}"
      secret_key_username: "mcb-username"
      secret_key_password: "mcb-password"
      secret_key_client_app_ident: "mcb-client-app-ident"
      secret_key_organization_id: "mcb-organization-id"
{% endif %}
{% if provident_trust_account is defined and provident_trust_account != "" %}
  - treasury_prime:
      bank_api_url: "{{provident_url}}"
      routing_number: "{{provident_routing_number}}"
      display_name: "{{provident_display_name}}"
      trust_account: "{{provident_trust_account}}"
      secret_key_username: "provident-api-key-id"
      secret_key_password: "provident-api-key-value"
{% endif %}
{% if member_bank_account_whitelist is defined and member_bank_account_whitelist | length == 0 %}
partner_accounts:
  members_to_accounts: {}
{% else %}
partner_accounts:
  members_to_accounts:
{% endif %}
{% for member_name, account_list in member_bank_account_whitelist.items() %}
    {{member_name}}:
{% for bank_data in account_list %}
      - account_number: "{{bank_data.account_number}}"
        routing_number: "{{bank_data.routing_number}}"
{% endfor %}
{% endfor %}
  validators_to_accounts: {}
